Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.jetty.webapp
Enum MetaData.Origin

    java.lang.Object
      java.lang.Enum<MetaData.Origin>
          org.eclipse.jetty.webapp.MetaData.Origin

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MetaData.Origin>

Enclosing class:
  MetaData

    public static enum MetaData.Origin

extends java.lang.Enum<MetaData.Origin>

Enum Constant Summary
`Annotation`
`NotSet`
`WebDefaults`
`WebFragment`
`WebOverride`
`WebXml`

Method Summary
`static MetaData.Origin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MetaData.Origin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotSet

    public static final MetaData.Origin NotSet

### WebXml

    public static final MetaData.Origin WebXml

### WebDefaults

    public static final MetaData.Origin WebDefaults

### WebOverride

    public static final MetaData.Origin WebOverride

### WebFragment

    public static final MetaData.Origin WebFragment

### Annotation

    public static final MetaData.Origin Annotation

Method Detail

### values

    public static MetaData.Origin[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetaData.Origin c : MetaData.Origin.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetaData.Origin valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.